## org.apache.catalina.loader
Class WebappClassLoader.PrivilegedFindResource

    java.lang.Object
      org.apache.catalina.loader.WebappClassLoader.PrivilegedFindResource

All Implemented Interfaces:
  java.security.PrivilegedAction

Enclosing class:
  WebappClassLoader

    protected class WebappClassLoader.PrivilegedFindResource

extends java.lang.Object
implements java.security.PrivilegedAction

Field Summary
`protected java.io.File` `file`
`protected java.lang.String` `path`

Method Summary
`java.lang.Object` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

### path

    protected java.lang.String path

Method Detail

### run

    public java.lang.Object run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.